# Packmangroup: System
# Packmanpackagename: bashdb
# Packman: Manfred Tremmel

Name:           bashdb
Summary:        BASH with Debugger and Improved Debug Support and Error Handling
Summary(de):    BASH mit Debugger und verbessertem Debugging Support und Fehlerbehandlung
Version:        4.2_0.8
%define tarver  4.2-0.8
Release:        1.1
License:        GPL
Group:          System/Shells
Url:            http://bashdb.sourceforge.net/

Source0:        %{name}-%{tarver}.tar.bz2

Vendor:         Packman
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root
#Requires:       bash >= 4.0
#BuildRequires:  bash >= 4.0
Requires:       bash
Requires:       info
BuildRequires:  bash
BuildRequires:  gcc
%if 0
# it seems like 4.2-0.8 has no emacs "support" anymore --seife 20120817
BuildRequires:  emacs
BuildRequires:  emacs-x11
BuildRequires:  xemacs
%endif
BuildArch:      noarch

%description
This is a complete rewrite of the Korn Shell debugger from Bill
Rosenblatt's `Learning the Korn Shell', published by O'Reilly and
Associates (ISBN 1-56592-054-6). Michael Loukides and Cigy Cyriac made
some additional changes.

%description -l de
Dies ist ein kompletter Rewrite des Korn Shell Debuggers von Bill
Roseblatts `Learning the Korn Shell', publiziert von O'Reilly und
Associates (ISBN 1-56592-054-6). Michael Loukides und Cigy Cyriac
haben einige weitere Verbesserungen beigetragen.

%prep
%setup -n %{name}-%{tarver}

%build
%if 0
# no patch -> not needed --seife 20120817
aclocal
autoconf
automake
%endif
%configure
%__make

%install
%makeinstall
#%{__mkdir_p} %{buildroot}%{_datadir}/bash/
#%{__install} -m 644 dbg-*.inc %{buildroot}%{_datadir}/bash/
%{__rm} -f "%{buildroot}%{_infodir}/dir"
chmod 755 %{buildroot}%{_datadir}/bashdb/getopts_long.sh

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf "%{buildroot}"

%post
if [ -x /sbin/install-info ] ; then
    /sbin/install-info --info-dir=%{_infodir} \
        %{_infodir}/bashdb.info.gz
fi

%preun
if [ -x /sbin/install-info ] ; then 
    /sbin/install-info --info-dir=%{_infodir} --remove bashdb
fi

%files
%defattr(-,root,root)
%doc doc/*.html AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*
%{_datadir}/bashdb
#%%{_datadir}/emacs/site-lisp/bashdb.*

%changelog
* Fri Aug 17 2012 seife+obs@b1-systems.com
- update to 4.2-0.8 to fix build on 12.1/12.2
- make package noarch
* Thu Oct 29 2009 Manfred.Tremmel@iiv.de
- update to 4.0-0.4
* Wed Sep  2 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Sat Apr 11 2009 Manfred.Tremmel@iiv.de
- update to 4.0-0.3
* Tue Nov 18 2008 Manfred.Tremmel@iiv.de
- update to 4.0-0.2
* Tue Oct 28 2008 Manfred.Tremmel@iiv.de
- update to 4.0-0.1
* Sun Oct 28 2007 Manfred.Tremmel@iiv.de
- update to 3.1-0.09
* Sun Jan 21 2007 Manfred.Tremmel@iiv.de
- update to 3.1-0.08
* Sat Dec 16 2006 Manfred.Tremmel@iiv.de
- update to 3.1-0.07
* Sun Jul 23 2006 Manfred.Tremmel@iiv.de
- update to 3.1-0.06
* Sat Apr 15 2006 Manfred.Tremmel@iiv.de
- update to 3.1-0.05
* Tue Jan 17 2006 Manfred.Tremmel@iiv.de
- update to 3.00-0.04
* Fri Dec 16 2005 Manfred.Tremmel@iiv.de
- update to 3.00-0.03
* Sun Jul 31 2005 Manfred.Tremmel@iiv.de
- update to 3.00-0.02
* Sun May 16 2004 Manfred.Tremmel@iiv.de
- update to 0.43
* Sun Sep 21 2003 Manfred.Tremmel@iiv.de
- update to 0.42
* Sat Aug 16 2003 Manfred.Tremmel@iiv.de
- first spec file
